### Method

# GdkPixbuf Pixbuf copy_area

#### Declaration [src]

    void
    gdk_pixbuf_copy_area (
      const GdkPixbuf* src_pixbuf,
      int src_x,
      int src_y,
      int width,
      int height,
      GdkPixbuf* dest_pixbuf,
      int dest_x,
      int dest_y
    )

#### Description [src]

Copies a rectangular area from `src_pixbuf` to `dest_pixbuf`.

Conversion of pixbuf formats is done automatically.

If the source rectangle overlaps the destination rectangle on the same pixbuf, it will be overwritten during the copy operation. Therefore, you can not use this function to scroll a pixbuf.

#### Parameters

`src_x`

  Type: `int`

  Source X coordinate within `src_pixbuf`.

`src_y`

  Type: `int`

  Source Y coordinate within `src_pixbuf`.

`width`

  Type: `int`

  Width of the area to copy.

`height`

  Type: `int`

  Height of the area to copy.

`dest_pixbuf`

  Type: `GdkPixbuf`

  Destination pixbuf.

  The data is owned by the caller of the method.

`dest_x`

  Type: `int`

  X coordinate within `dest_pixbuf`.

`dest_y`

  Type: `int`

  Y coordinate within `dest_pixbuf`.